- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# ElementContentAccessor Struct Reference

Search for all occurrences

## Detailed Description

A struct for convenient access to the content of common COLLADA element.

Definition at line 88 of file fbxcolladaelement.h.

`#include <fbxcolladaelement.h>`

Inheritance diagram for ElementContentAccessor:
[legend]

List of all members.

## Public Member Functions
| ElementContentAccessor ()
| ElementContentAccessor (xmlNode *pElement)
virtual | ~ElementContentAccessor ()
template<typename TYPE >
bool | GetNext (TYPE *pData)
template<typename TYPE >
int | GetArray (TYPE *pArray, int pSourceUnitOffset=0, int pSourceUnitValidCount=1, int pSourceUnitSize=1, int pDestUnitOffset=0, int pDestUnitValidCount=1, int pDestUnitSize=1, TYPE pDefaultValue=TYPE())
## Public Attributes
xmlChar * | mContent
const char * | mPointer

## Constructor & Destructor Documentation

ElementContentAccessor | ( |  | ) |

ElementContentAccessor | ( | xmlNode * | pElement | ) |

virtual ~ElementContentAccessor | ( |  | ) | `[virtual]`

## Member Function Documentation

bool GetNext | ( | TYPE * | pData | ) | `[inline]`

Search for all occurrences

Definition at line 95 of file fbxcolladaelement.h.

        {
            return FromString(pData, mPointer, &mPointer);
        }

int GetArray | ( | TYPE * | pArray,
|  | int | pSourceUnitOffset = `0`,
|  | int | pSourceUnitValidCount = `1`,
|  | int | pSourceUnitSize = `1`,
|  | int | pDestUnitOffset = `0`,
|  | int | pDestUnitValidCount = `1`,
|  | int | pDestUnitSize = `1`,
|  | TYPE | pDefaultValue = `TYPE()`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 101 of file fbxcolladaelement.h.

        {
            if (pArray)
            {
                return FromStringToArray(mPointer, pArray,
                    pSourceUnitOffset, pSourceUnitValidCount, pSourceUnitSize,
                    pDestUnitOffset, pDestUnitValidCount, pDestUnitSize, pDefaultValue);
            }
            return 0;
        }

## Member Data Documentation

xmlChar* mContent

Search for all occurrences

Definition at line 115 of file fbxcolladaelement.h.

const char* mPointer

Search for all occurrences

Definition at line 116 of file fbxcolladaelement.h.

The documentation for this struct was generated from the following file:

- fbxsdk/fileio/collada/fbxcolladaelement.h